Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.domino
Interface IAppointmentInvitation

All Superinterfaces:
  IAppointment, IAppointmentNotice, ICalendarItem, IGroupwareItem, IInvitation, IItem, IMessagingItem, INotice, java.io.Serializable

public interface IAppointmentInvitation
extends IAppointmentNotice, IInvitation

Interface for an appointment invitation. Note that the `NOTICE_TYPE` key must be requested when retrieved messages from the inbox in order for an instance of the correct item class to be generated. Also note that when responding to invitations, you must get the `TOPIC` key so that the subject gets generated properly by any of the response methods.

Field Summary
`static ItemClass` | `CLASS` The item class of `IExchangeAddressEntry`.

Fields inherited from interface com.compoze.collab.domino.IAppointmentNotice
`APPOINTMENT_ID, KEYID_APPOINTMENT_ID`

Fields inherited from interface com.compoze.collab.groupware.ICalendarItem
`BUSY_STATUS, DURATION, END_TIME, IS_ALL_DAY, IS_RECURRING, KEYID_BUSY_STATUS, KEYID_DURATION, KEYID_END_TIME, KEYID_IS_ALL_DAY, KEYID_IS_RECURRING, KEYID_LOCATION, KEYID_START_TIME, LOCATION, START_TIME`

Fields inherited from interface com.compoze.collab.groupware.IGroupwareItem
`CATEGORIES, DATE_CREATED, DATE_LAST_MODIFIED, IMPORTANCE, KEYID_CATEGORIES, KEYID_DATE_CREATED, KEYID_DATE_LAST_MODIFIED, KEYID_IMPORTANCE, KEYID_SIZE, KEYID_SUBJECT, SIZE, SUBJECT`

Fields inherited from interface com.compoze.collab.messaging.IMessagingItem
`BODY, BODY_HTML, KEYID_BODY, KEYID_BODY_HTML`

Fields inherited from interface com.compoze.collab.IItem
`ID, ITEM_CLASS, KEYID_ID, KEYID_ITEM_CLASS, KEYID_PARENT_ID, MINIMUM_ITEM_KEYS, PARENT_ID`

Fields inherited from interface com.compoze.collab.domino.INotice
`KEYID_NOTICE_TYPE, KEYID_STATUS_UPDATE, KEYID_TOPIC, NOTICE_TYPE, STATUS_UPDATE, TOPIC`

Fields inherited from interface com.compoze.collab.domino.IInvitation
`BROADCAST, KEYID_BROADCAST`

Method Summary
`void` | `accept(java.lang.String sComment, boolean bTentative)` Hits the server, accepts the invitation, and removes the appointment from the Inbox.
`void` | `accept(java.lang.String sComment, boolean bTentative, boolean bRemoveFromInbox)` Hits the server and accepts the invitation.

Methods inherited from interface com.compoze.collab.domino.IAppointmentNotice
`getAppointmentID`

Methods inherited from interface com.compoze.collab.groupware.IAppointment
`cancel, setAllDayEvent, setBusyStatus, setDates, setLocation`

Methods inherited from interface com.compoze.collab.groupware.ICalendarItem
`getBusyStatus, getDuration, getEndTime, getLocation, getStartTime, isAllDayEvent, isRecurring`

Methods inherited from interface com.compoze.collab.groupware.IGroupwareItem
`getBodyHtml, getBodyHtml, getCategories, getDateCreated, getDateLastModified, getImportance, getNormalizedSubject, getSize, getSubject, getSubject, getSubjectPrefix, setBodyHtml, setCategories, setImportance, setSubject`

Methods inherited from interface com.compoze.collab.messaging.IMessagingItem
`getBody, setBody`

Methods inherited from interface com.compoze.collab.IItem
`commit, containsKey, containsKey, copyProperties, copyTo, delete, fetchProperties, getAttribute, getEnum, getID, getInputStream, getItemClass, getOutputStream, getParent, getParent, getParentID, getProperties, getProperties, getProperties, getProperty, getProperty, getProperty, getReader, getRootContainer, getSession, getWriter, isMissing, moveTo, removeAttribute, removeProperty, setAttribute, setProperties, setProperty, setProperty, setProperty`

Methods inherited from interface com.compoze.collab.domino.INotice
`getNoticeType, getStatusUpdate, getTitle, getTopic`

Methods inherited from interface com.compoze.collab.domino.IInvitation
`accept, counter, decline, delegate, isBroadcast, requestInfo`

Field Detail

### CLASS

    public static final ItemClass CLASS

  The item class of `IExchangeAddressEntry`.

Method Detail

### accept

    public void accept(java.lang.String sComment,
                       boolean bTentative)
                throws CollaborationException

  Hits the server, accepts the invitation, and removes the appointment from the Inbox. Note: you must get the `TOPIC` key when getting the invitation in order for this method to generate a proper subject in the response.
  Parameters:
    `sComment` - the comment or `null` for no comment
    `bTentative` - `true` to tentatively accept; `false` otherwise
  See Also:
    `INotice.TOPIC`

### accept

    public void accept(java.lang.String sComment,
                       boolean bTentative,
                       boolean bRemoveFromInbox)
                throws CollaborationException

  Hits the server and accepts the invitation. Note: you must get the `TOPIC` key when getting the invitation in order for this method to generate a proper subject in the response.
  Parameters:
    `sComment` - the comment or `null` for no comment
    `bTentative` - `true` to tentatively accept; `false` otherwise
    `bRemoveFromInbox` - `true` to remove appointment from Inbox; `false` to keep
  See Also:
    `INotice.TOPIC`

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2005 BEA Systems, Inc. All rights reserved.